<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/events-users.js");
</script>

<div class="page-title">
    <div class="title_left">
        <h3 th:text="#{usersEnabledApp}">Usuarios habilitados para usar la app</small></h3>
    </div>
</div>

<div class="clearfix"></div>
<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <div class="well" style="overflow: auto">
                    <div class="col-md-12">
                        <input type="text" th:value="${q}" placeholder="Buscar..." th:attr="placeholder=#{search} + '...'" name="q" id="q"/>
                        <button class="btn btn-success btn-sm action-button" id="add-user" ><i class="fa fa-plus"></i> Nuevo</button>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <div class="row">
                    <div class="col-md-3 col-sm-3 col-xs-12 " th:each="item : ${page.content}">
                        <div class="well">
                            <h4 th:text="${item.name}">Nombre usuario</h4>                                    
                            <ul class="list-unstyled">
                                <li><i class="fa fa-envelope"></i> Email: <span th:text="${item.email}"></span></li>
                                <li><i class="fa fa-user"></i> Administrador: <span th:text="${item.admin ? 'Si' : 'No'}"></span></li>
                            </ul>

                            <button class="btn btn-danger btn-sm action-button" id="delete-user" th:attr="data-id=${item.id},data-name=${item.name}"><i class="fa fa-remove"></i> Eliminar</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div th:replace="frags/pagination :: paginationbar"></div>
    </div>
</div>
